import { useVariable } from "./useVariable";
export function useNumber(value) {
    if (typeof value === "string") {
        const varValue = useVariable(value);
        const val = varValue !== "" ? Number(varValue) : undefined;
        return isNaN(val) ? undefined : val;
    }
    return value;
}
//# sourceMappingURL=useNumber.js.map