import aixpTracker from "aixp-node-sdk";
import { registerIntegration } from "../interfaces";
export default registerIntegration({
    name: "AIXP",
    group: "tracking",
    properties: {
        values: {
            writeKey: "dfafd919-cf8c-43b0-8a75-9f7d550b494d",
            dataPlaneUrl: "https://aixp-rudder-api.digitallab.id/cda0e4f7-29f0-4c4a-a9d3-862b6abab50e/f4eddc5f-7140-4ed8-9790-24dcd0364eff",
        },
        definitions: {
            writeKey: { type: "string", options: { format: "text" } },
            dataPlaneUrl: { type: "string", options: { format: "text" } },
        },
    },
}, (values) => {
    // aixpTracker.load(values.writeKey, values.dataPlaneUrl, {
    //   configUrl: values.dataPlaneUrl,
    // });
    // return aixpTracker;
    const client = new aixpTracker(values.writeKey, `${values.dataPlaneUrl}/v1/batch`);
    return client;
});
//# sourceMappingURL=aixp.js.map