import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
const lineStyle = {
    flex: 1,
    height: "4px",
    background: "orange",
    borderRadius: "1px",
};
const circleStyle = {
    width: "4px",
    height: "4px",
    boxShadow: "0 0 0 3px #4B91E2",
    borderRadius: "50%",
};
export function CustomCursor({ top, left, indent }) {
    const style = {
        position: "absolute",
        pointerEvents: "none",
        top: top - 4 + "px",
        left: indent + left + "px",
        right: indent + "px",
        display: "flex",
        alignItems: "center",
        zIndex: 10,
    };
    return (_jsxs("div", Object.assign({ style: Object.assign({}, style) }, { children: [_jsx("div", { style: Object.assign({}, circleStyle) }), _jsx("div", { style: Object.assign({}, lineStyle) })] })));
}
//# sourceMappingURL=custom-cursor.js.map